Kapittel 2. Fire up GIMP
| Del I. Å komme i gang med GIMP |

## Kapittel 2. Fire up GIMP

## 1. Starthjelp

Usually you start GIMP either by clicking an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.10 to get the newest version. You can, if you want, provide a list of image file names on the command line after the program name so that GIMP automatically opens those files after it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly «associated» to GIMP, you can double click an image to open it in GIMP.

### 1.1. Kjende plattformer

GIMP is the most widely supported image manipulation program available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple macOS™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Språk

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you want to use a different language, you can change the language used in: Edit → Preferences, then go to the Interface section; Language can be set at the top.

Du kan også

Under Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en with fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Under Windows

  Control Panel → System → Advanced → Environment button in «System Variables» area: Add button: Enter LANG for Name and fr or de... for Value. Watch out! You have to click OK three successive times to validate your choice.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-2.10.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Ein annan måte dersom dette programmet er installert: Vel Start → Alle programmer → GTK Runtime Environment og deretter Select language og vel språk frå nedtrekkslista.

Under Apple macOS

  From System Preferences, click the International icon. In the Language tab, the desired language should be the first in the list.

Start ei ny økt av GIMP

  Use `-n` to run multiple instances of GIMP. For example, use `gimp-2.10` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.10 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Argument i kommandolinja

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp` for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.10 [OPTION...] [FILE|URI...].

-?, --help

  Vis ei liste over alle kommandoane

--help-all

  Vis alle hjelpevala

--help-gtk

  Vis alternativ for GTK+

-v, --version

  Skriv kva for versjon av GIMP som er i bruk, og slutt av programmet.

--license

  Vis lisensinformasjon og slutt av

--verbose

  Vis detaljerte oppstartmeldingar.

-n, --new-instance

  Start ei ny økt av GIMP.

-a, --as-new

  Opna bilete som nytt

-i, --no-interface

  Køyr utan brukargrensesnitt.

-d, --no-data

  Ikkje last inn mønsterelement, fargeovergangar, palettar eller penslar. Kan vere nyttig i ikkje-interaktive situasjonar der oppstarttida skal vere kortast råd.

-f, --no-fonts

  Ikkje last inn skrifttypar. Dette kan korte ned oppstarttida for GIMP når skripta ikkje bruker skrifttypar. Kan også vere nyttig for å finne skrifttypar med feil som gjer at GIMP stoppar opp.

-s, --no-splash

  Ikkje vis oppstartskjermen.

--no-shm

  Ikkje bruk delt minne mellom GIMP og programtillegga.

--no-cpu-accel

  Ikkje bruk funksjonar for å auke farten på CPU. Kan vere nyttig for å finne eventuelle feil i slik programvare eller utstyr.

--session=`namn`

  Bruk eit anna `sessionrc` for denne GIMP-økta. Det gjevne «session name» vert lagt til det normale «sessionrc filename».

--gimprc=`filenamn`

  Bruk ei alternativ «gimprc»-fil i staden for den vanlege. «gimprc»-fila inneheld data om innstillingane dine. Kan vere nyttige når banane til programtillegga eller maskinoppsettet er endra.

--system-gimprc=`filenamn`

  Bruk ei alternativ system-gimprc-fil.

-b, --batch=`kommandoar`

  Utfør kommandosettet «non-interactively». Kommandosettet er typisk eit skript som vert utført av ei av GIMP sine skriptutvidingar. Dersom du bruker kommandoen `-`, vert kommandoane lesne frå standarinngangen.

--batch-interpreter=`proc`

  Prosedyren som vert brukt for å køyre mengdetolkarane (batch kommandoane). Denne er normalt sett til Script-Fu.

--console-messages

  Do not display dialog boxes on errors or warnings. Print the messages on the console instead.

--pdb-compat-mode=`modus`

  PDB kompatibilitetsmodus (off|on|warn)

--stack-trace-mode=`mode`

  Feilfinning i tilfelle krasj (never|query|always)

--debug-handlers

  Aktiver signalhandterarar for ikkje-fatale feil. Blir brukt for å finne feil i GIMP.

--g-fatal-warnings

  Make all warnings fatal. Useful for debugging.

--dump-gimprc

  Vis ei gimprc-fil med normalinnstillingane. Kan kome til nytte dersom du rotar til gimprc-fila.

--display=`display`

  Bruk X visning (gjeld ikkje på Microsoft Windows).

--show-playground

  Show a preferences page with experimental features.

2. What's new in GIMP |  | 2. Å starte GIMP for første gong

Report a bug in GIMP Report a documentation error